Bug 115538 - no ISDN Callback with Cisco 3640
no ISDN Callback with Cisco 3640
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: isdn4k-utils (Show other bugs)
1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-13 07:19 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 12:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-02-13 07:19:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Pentium I 200 MHz
128 MB Ram
Fedora Core 1
AVM Fritz! PCI


Cisco 3640 RAS Router


(sorry about my poor english)
problem:

the dialin is ok, but the callback is not OK.
i made a dialin, but i become a ip-adresse without callback
so i must pay the online connection an not the company.


i have the follwing config:


 /etc/ppp/ioptions

# Definiere "debug", um m�glichst viele Informationen
# in /var/log/messages zu erhalten.
debug



/etc/sysconfig/network-scripts/ifcfg-ippp0


# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
USERCTL=yes
PEERDNS=yes
TYPE=ISDN
DEVICE=ippp0
BOOTPROTO=dialup
ONBOOT=yes
DEFROUTE=yes
PERSIST=off
SECURE=off
BUNDLING=off
HUPTIMEOUT=600
DIALMODE=auto
ENCAP=syncppp
USER=MeinUser
PHONE_OUT=xxxx
AUTH='-pap +chap'
AREACODE=07xxx
PROVIDER=Company
CALLBACK=in

CCP=on
PC=off
AC=off
BSDCOMP=off
VJ=off
VJCCOMP=off
NAME=Company
MSN=123456
PHONE_IN='07xxxxxxxx'
CBCP=off
CBHUP=off
CBDELAY=3




This is the LOG about the dialin:

Feb  6 20:10:47 localhost kernel: ippp0: dialing 1 070xxxxx...
Feb  6 20:10:49 localhost kernel: isdn_net: ippp0 connected
Feb  6 20:10:49 localhost ipppd[20590]: Local number: xxxxx, Remote
number: 070xxxxx, Type: outgoing
Feb  6 20:10:49 localhost ipppd[20590]: PHASE_WAIT ->
PHASE_ESTABLISHED, ifunit: 0, linkunit: 0, fd: 7
Feb  6 20:10:49 localhost ipppd[20590]: ChapReceiveChallenge: Rcvd id
46.
Feb  6 20:10:49 localhost ipppd[20590]: ChapReceiveChallenge:
received name field: 'HNTRAS01'
Feb  6 20:10:50 localhost ipppd[20590]: ChapReceiveSuccess: Rcvd id
46.
Feb  6 20:10:50 localhost ipppd[20590]: MPPP negotiation, He: No We:
No
Feb  6 20:10:50 localhost ipppd[20590]: CCP enabled! Trying CCP.
Feb  6 20:10:50 localhost ipppd[20590]: CCP: got ccp-unit 0 for link
0 (Compression Control Protocol)
Feb  6 20:10:50 localhost ipppd[20590]: ccp_resetci!
Feb  6 20:10:50 localhost ipppd[20590]: ccp_resetci!
Feb  6 20:10:51 localhost ipppd[20590]: Unsupported protocol 'Cisco
Discovery Protocol Control' (0x8207) received
Feb  6 20:10:53 localhost ipppd[20590]: local  IP address
192.xxx.xxx.xx
Feb  6 20:10:53 localhost ipppd[20590]: remote IP address
192.xxx.xxx.x


his is the: debug ppp neg LOG from the Cisco 3640 about the dial in


with an windows pc

Windows

2d22h: Se3/0:1 PPP: Treating connection as a callin
2d22h: Se3/0:1 PPP: Phase is ESTABLISHING, Passive Open
2d22h: Se3/0:1 LCP: State is Listen
2d22h: Se3/0:1 LCP: I CONFREQ [Listen] id 0 len 50
2d22h: Se3/0:1 LCP:    ACCM 0x00000000 (0x020600000000)
2d22h: Se3/0:1 LCP:    MagicNumber 0x2FAE59E3 (0x05062FAE59E3)
2d22h: Se3/0:1 LCP:    PFC (0x0702)
2d22h: Se3/0:1 LCP:    ACFC (0x0802)
------------------------------------------------
2d22h: Se3/0:1 LCP:    Callback 6  (0x0D0306)
------------------------------------------------
2d22h: Se3/0:1 LCP:    MRRU 1614 (0x1104064E)
2d22h: Se3/0:1 LCP:    EndpointDisc 1 Local
2d22h: Se3/0:1 LCP:     


with fedora core 1


Linux

2d22h: Se3/0:1 PPP: Treating connection as a callin
2d22h: Se3/0:1 PPP: Phase is ESTABLISHING, Passive Open
2d22h: Se3/0:1 LCP: State is Listen
2d22h: Se3/0:1 LCP: I CONFREQ [Listen] id 1 len 14
2d22h: Se3/0:1 LCP:    MRU 1500 (0x010405DC)
2d22h: Se3/0:1 LCP:    MagicNumber 0x643951B6 (0x0506643951B6)
2d22h: Se3/0:1 LCP: O CONFREQ [Listen] id 18 len 15
2d22h: Se3/0:1 LCP:    AuthProto CHAP (0x0305C22305)
2d22h: Se3/0:1 LCP:    MagicNumber 0xDF93535B (0x0506DF93535B)
2d22h: Se3/0:1 LCP: O CONFACK [Listen] id 1 len 14
2d22h: Se3/0:1 LCP:    MRU 1500 (0x010405DC)
2d22h: Se3/0:1 LCP:    MagicNumber 0x643951B6 (0x0506643951B6)
2d22h: Se3/0:1 LCP: I CONFACK [ACKsent] id 18 len 15
2d22h: Se3/0:1 LCP:    AuthProto CHAP (0x0305C22305)
2d22h: Se3/0:1 LCP:    MagicNumber 0xDF93535B (0x0506DF93535B)




The Cisco Admin say:

it is�t a problem of the router (IOS / Config)
look at your linux an fix it !




Thanks for Help

Dennis


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.confiure ippp0 to company
2.ifup ippp0; isdnctl dial ippp0
3.tail -f /var/log/messages 

Additional info:
Comment 1 Ngo Than 2006-05-04 12:29:36 EDT
It seems that callback does not work with cisco without changing the callback 
delay. You should change your callback delay with "isdnctrl cbdelay"
For more infos please take a look in i4lfaq-de.txt

Note You need to log in before you can comment on or make changes to this bug.